# Contribute To Auto Load Next Post

Community made patches, bug reports and contributions are always welcome and are crucial.

When contributing please ensure you follow the guidelines below so that I can keep on top of things.

__Note:__

GitHub is for *bug reports and contributions only* - if you have a support question or a request, don't post here. Use [WordPress.org](https://wordpress.org/support/plugin/auto-load-next-post) for community support.

## Getting Started

* Make sure you have a [GitHub account](https://github.com/signup/free)
* Submit a ticket for your issue, assuming one does not already exist.
  * https://github.com/seb86/Auto-Load-Next-Post/issues
  * Clearly describe the issue including steps to reproduce when it is a bug.
  * Make sure you fill in the earliest version that you know that has the issue.

## Making Changes

* Fork the repository on GitHub
* Make the changes to your forked repository
  * **Ensure you stick to the [WordPress Coding Standards](http://codex.wordpress.org/WordPress_Coding_Standards).**
  * Ensure you use LF line endings - no crazy Windows line endings. :)
* When committing, reference your issue (#1234) and include a note about the fix.
* Push the changes to your fork and submit a pull request to the 'dev' branch of the Auto-Load-Next-Post repository.
* Please **don't** modify the changelog - this will be maintained by me.
* Please **don't** add your localizations or update the .pot files - this will be maintanied by me. To contribute to the localization of Auto Load Next Post, please join the [Auto Load Next Post Transifex project](https://www.transifex.com/projects/p/auto-load-next-post/).

At this point you're waiting on me to merge your pull request. I'll review all pull requests, and make suggestions and changes if necessary.

# Additional Resources

* [General GitHub documentation](http://help.github.com/)
* [GitHub pull request documentation](http://help.github.com/send-pull-requests/)
* [Community Support](https://wordpress.org/support/plugin/auto-load-next-post)
