## Auto Load Next Post

[![Built with Grunt](https://cdn.gruntjs.com/builtwith.png?style=flat)](http://gruntjs.com/)  [![GitHub forks](https://img.shields.io/github/forks/seb86/Auto-Load-Next-Post.svg?style=flat)](https://github.com/seb86/Auto-Load-Next-Post/network) [![GitHub license](https://img.shields.io/badge/license-GPLv3-blue.svg?style=flat)](https://raw.githubusercontent.com/seb86/Auto-Load-Next-Post/master/license.txt) [![WordPress plugin](https://img.shields.io/wordpress/plugin/v/auto-load-next-post.svg?style=flat)](https://wordpress.org/plugins/auto-load-next-post/) [![WordPress](https://img.shields.io/wordpress/plugin/dt/auto-load-next-post.svg?style=flat)](https://wordpress.org/plugins/auto-load-next-post/) [![WordPress](https://img.shields.io/wordpress/v/auto-load-next-post.svg?style=flat)](https://wordpress.org/plugins/auto-load-next-post/)

Have you ever felt tired of going back and forth between blog posts? I know I have so I decided to develop a solution. One where you would need to do very little coding and require very little to set up on your blog.

[![Auto Load Next Post Video](https://raw.githubusercontent.com/seb86/Auto-Load-Next-Post/master/youtube-video-screenshot.png)](https://www.youtube.com/watch?v=EvBCPXVe2U4)

### What is it?
Auto Load Next Post is a lightweight plugin that simply loads the previous post, one after another as you scroll down the page. It simply reads the post navigation in your theme at the end of each post and collects the post URL for the previous post. WordPress will then do a partial load and place the content of the previous post underneath the parent post.

Not only that, it updates your web history by manipulating the web address and page title. This allows you to return to any post you have looked at in your browser history. When you refresh the page, the page will take you to the post you were viewing last.

### Features
* Can use action hooks to load content before and after the next post has loaded.
* Can restrict it to load only on specific post types.
* You now have the option to hide the comments if you wish.
* Track each post load with Google Analytics. ( Requires Google Analytics to be applied for this to work. )

### Documentation
Documentation, for this plugin, can be found at the GitHub repository [Wiki](https://github.com/seb86/Auto-Load-Next-Post/wiki).

### Contributing and reporting bugs
You can [contribute code](https://github.com/seb86/Auto-Load-Next-Post/blob/master/CONTRIBUTING.md) to this plugin via the [GitHub](https://github.com/seb86/Auto-Load-Next-Post/blob/master/CONTRIBUTING.md) repository and localizations are translated via [Transifex](https://www.transifex.com/projects/p/auto-load-next-post/).

### Forum Support and Issue Reporting
Use the WordPress.org forums for [community support](https://wordpress.org/support/plugin/auto-load-next-post). I will do my best to respond. You may get or see a response from someone who has a similar issue already posted. If you spot a bug, you can of course log it as an [issue](https://github.com/seb86/Auto-Load-Next-Post/issues) on [Github](https://github.com/seb86/Auto-Load-Next-Post/issues) instead where I can act upon it more efficiently.

If you need help with any customizations for this plugin. Please consider [hiring me](http://www.sebastiendumont.com/hire-me/) to apply them.

### Demo Site
Want to try it out? [Go to the demo site](http://demos.sebastiendumont.com/auto-load-next-post/) and view a post. Scroll down and see the plugin in action.

### Support the plugin by Donations and Reviews
To keep this plugin working and support as many themes as possible, please consider making a [donation](https://www.sebastiendumont.com/donation/) or simply [write a review](https://wordpress.org/support/view/plugin-reviews/auto-load-next-post?rate=5#postform) about it.

### Languages
Auto Load Next Post is currently available in 3 languages with more on the way. The folks over at WP Translations handle the translations, and it's because of them that these translations are available. More are on the way and with your help they can be released quicker. If you would like to help translate, go to the [Transifex](https://www.transifex.com/projects/p/auto-load-next-post/) project.

#### Current Translations Available
* English (US)
* Français (French)(France)
* Română (Romanian)

### More information
* Other [WordPress plugins](http://profiles.wordpress.org/sebd86/) by [Sébastien Dumont](http://www.sebastiendumont.com/)
* Contact Sébastien on Twitter: [@sebd86](http://twitter.com/sebd86)
